Subject: Re: [PATCH] git-gui: Make git-gui lib dir configurable at runtime

From: David Turner <[email-masked]>
Date: Mon, 21 Jul 2014 17:57:44 -0400

On Mon, 2014-07-21 at 14:06 -0700, Junio C Hamano wrote:
> David Turner <[email-masked]> writes:
> 
> > Introduce the GIT_GUI_LIB_DIR environment variable, to tell git-gui
> > where to look for TCL libs.  This allows a git-gui which has been
> > built with a prefix of /foo to be run out of directory /bar.  This is
> > the equivalent of GIT_EXEC_PATH or GITPERLLIB but for git-gui's TCL
> > libraries.
> >
> > Signed-off-by: David Turner <[email-masked]>
> > ---
> >  git-gui/Makefile   | 3 ++-
> >  git-gui/git-gui.sh | 6 +++++-
> >  2 files changed, 7 insertions(+), 2 deletions(-)
> 
> Would a similar change to gitk necessary/beneficial to platforms
> that would benefit from this change?

Apparently not; it seems to work fine for me from an alternate location.
Convenient!

> git-gui directory in my tree comes from its upstream repository
> git://repo.or.cz/git-gui.git/, and it is maintained by Pat Thoyts
> (Cc'ed).

> Note that these two upstream projects do not have leading
> directories git-gui and gitk-git themselves (they are merged to my
> tree while their paths being renamed).  A patch that is appliable to
> them would touch paths without them (e.g. Makefile and git-gui.sh
> for an equivalent of the patch I am responding to).

Pat, do you want patches via the git mailing list, personal mail, or
some other way?